LFR-FSW - Bug #3912

L'ordre des matrices dans KCOEFF_DUMP n'est pas bon
02/12/2021 11:12 AM - bruno katra

Status: Closed Start date: 02/12/2021
Priority: High Due date:

Assignee: bruno katra % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 3.3 Spent time: 0.00 hour
revision: r0

Description

Si on se référe au code du FSW : calibration_matrices.c ou sont initialisés les matrices par défaut :
la premiere valeur pour FO devrait étre 0.3180653172124821f

Or quand je décommute le paquet KCOEFF_DUMP la valeur est :
-70.1193695068359375

Il se trouve que cette valeur correspond a la premiére valeur des valeurs pour F2 que I'on peut voir dans calibration_matrices.c :

float mag_calibration_matrices_f2[97 * NB_ELEMENTS_MAG_CAL_MATRIX * FLOATS_PER_COMPLEX] ={
-70.11937154232844f....

Il semblerait donc que les valeurs F2 sont stockées aux emplacements de FO dans le KCOEFF_DUMP

Related issues:
Related to Bug #3913: Le 2eme paquets KCOEFF_DUMP ne contient que des 0 Closed 02/12/2021

History

#1 - 02/12/2021 11:17 AM - bruno katra

Informations supplémentaires :
test fait en 3.3.0.2 avec les valeurs par défaut des matrices au boot de LFR (avant envoi de TC_LOAD_KCOEFF)

#2 - 02/12/2021 11:32 AM - Alexis Jeandet

En effet, désolé pour la typo, ¢a devrait étre corrigé ici:
https://github.com/LaboratoryOfPlasmaPhysics/LFR_Flight Software/commit/7a40f1045a1a7a9e932e56bc40fa919451d7b567

#3 - 02/12/2021 11:43 AM - bruno katra

- Assignee changed from Alexis Jeandet to bruno katra

Réassignée a Bruno pour tests

#4 - 02/12/2021 01:31 PM - bruno katra
- Related to Bug #3913: Le 2eme paquets KCOEFF_DUMP ne contient que des 0 added

#5 - 03/12/2021 04:13 PM - bruno katra

- Status changed from In Progress to Closed

Testé ok en 3.3.0.4
